LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (https://www.linuxquestions.org/questions/linux-software-2/)
-   -   Need to find a libstrc++ rpm? (https://www.linuxquestions.org/questions/linux-software-2/need-to-find-a-libstrc-rpm-482449/)

Edenane 09-11-2006 11:18 AM

Need to find a libstrc++ rpm?
 
I need to find an rpm that has these things in it (I'm not sure how the lib works), All i know is that a program is looking for this specific file:

libstrc++.so.6(CXXABI_1.3.1)

Ive checked everywhere that i know to try and find this particular rpm, if anyone could help me that would be VERY appreciated!

Lenard 09-11-2006 11:31 AM

Are you sure it's libstrc++.so.6(CXXABI_1.3.1) and not libstdc++.so.6(CXXABI_1.3.1) maybe a typo????

It is normally part of libstdc++-XXXXX or maybe the gnat-gcc-XXXXX rpm package, sorry I'm not sure of the versions number since I do not use PCLinuxOS.

Edenane 09-11-2006 11:50 AM

sorry it was a typo but thanks i'll try now

Edenane 09-18-2006 08:41 AM

I tried everything mentioned here-reinstalling the libstrc++ libaries but i still can't get it installed. Anyone any ideas?

reddazz 09-18-2006 10:59 AM

Maybe if you let us know what package you are trying to install we can tell you which package you need. I have a feeling you need to install libstdc++6.

Edenane 09-18-2006 06:45 PM

Sorry!!!

I installed libstdc++6 but it didn't contain what i needed: (CXXABI_1.3.1). It contained (CXXABI_1.3) and that is the closest I can get to the exact definition! But for this program to work it said that it needed libstdc++.so.6(CXXABI_1.3.1). I tried installing LOADS of RPMS with that part but none could install correctly, and now I'm lost, to say the least.

Lenard 09-18-2006 07:10 PM

Remember I said; it is part of libstdc++-XXXXX or maybe the gnat-gcc-XXXXX rpm.

So the libstdc++ rpm does not have libstdc++.so.6(CXXABI_1.3.1) what about the gnat-gcc 4.x rpm for your version of PCLinuxOS????


All times are GMT -5. The time now is 04:13 PM.